XATopicConnectionFactory (Eclipse OpenMQ (tm), 5.1 API Specification)
Description: declaration: package: com.sun.messaging, class: XATopicConnectionFactory

Package com.sun.messaging

# Class XATopicConnectionFactory

java.lang.Object
com.sun.messaging.AdministeredObject
com.sun.messaging.BasicConnectionFactory
com.sun.messaging.ConnectionFactory
com.sun.messaging.XAConnectionFactory
com.sun.messaging.XATopicConnectionFactory

All Implemented Interfaces:
  `jakarta.jms.ConnectionFactory`, `jakarta.jms.TopicConnectionFactory`, `jakarta.jms.XAConnectionFactory`, `jakarta.jms.XATopicConnectionFactory`, `Serializable`, `Referenceable`

public class XATopicConnectionFactory extends XAConnectionFactory implements jakarta.jms.XATopicConnectionFactory
An `XATopicConnectionFactory` is used to create XATopicConnections with a Java Message Service (JMS) Publish/Subscribe (Pub/Sub) provider.

See Also:
  - `jakarta.jms.XATopicConnectionFactory`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sun.messaging.AdministeredObject

  `AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, cachedConfigurationMap, configuration, configurationLabels, configurationTypes, cr, VERSION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XATopicConnectionFactory()`

- ## Method Summary

  ### Methods inherited from class com.sun.messaging.XAConnectionFactory

  `createXAConnection, createXAConnection, createXAContext, createXAContext, createXAQueueConnection, createXAQueueConnection, createXATopicConnection, createXATopicConnection, getContainerType`

  ### Methods inherited from class com.sun.messaging.ConnectionFactory

  `createQueueConnection, createQueueConnection, createTopicConnection, createTopicConnection, getReference`

  ### Methods inherited from class com.sun.messaging.BasicConnectionFactory

  `createConnection, createConnection, createContext, createContext, createContext, createContext, getConnectionType, setConnectionType, setDefaultConfiguration, toString`

  ### Methods inherited from class com.sun.messaging.AdministeredObject

  `dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperties, setProperty, setReadOnly, setStoredVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface jakarta.jms.ConnectionFactory

  `createConnection, createConnection, createContext, createContext, createContext, createContext`

  ### Methods inherited from interface jakarta.jms.TopicConnectionFactory

  `createTopicConnection, createTopicConnection`

  ### Methods inherited from interface jakarta.jms.XAConnectionFactory

  `createXAConnection, createXAConnection, createXAContext, createXAContext`

  ### Methods inherited from interface jakarta.jms.XATopicConnectionFactory

  `createXATopicConnection, createXATopicConnection`

- ## Constructor Details

  - ### XATopicConnectionFactory

    public XATopicConnectionFactory()